| Method | URI | Description |
|---|---|---|
| POST | /v2/{tenant_id}/servers/{server_id}/action | Resizes a server. |
Normal response codes: 202
This table shows the URI parameters for the resize server request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The UUID for the server of interest to you. |
Example 3.410. Resize server: JSON request
{
"resize": {
"flavorRef": "3",
"OS-DCF:diskConfig": "AUTO"
}
}Example 3.411. Resize server: XML request
<?xml version="1.0" encoding="UTF-8"?>
<resize xmlns:OS-DCF="http://docs.openstack.org/compute/ext/disk_config/api/v1.1"
xmlns:atom="http://www.w3.org/2005/Atom"
xmlns="http://docs.openstack.org/compute/api/v1.1"
OS-DCF:diskConfig="AUTO"
flavorRef="3" />This operation does not require a request body.

